Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.model.util
Class TableSwitch<T>

    java.lang.Object
      org.eclipse.emf.ecore.util.Switch<T>
          org.eclipse.emf.ecp.view.spi.table.model.util.TableSwitch<T>

    public class TableSwitch<T>

extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `VTablePackage`

Constructor Summary
`TableSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseContainedElement(VContainedElement object)` Returns the result of interpreting the object as an instance of 'Contained Element'.
`T` | `caseControl(VControl object)` Returns the result of interpreting the object as an instance of 'Control'.
`T` | `caseDomainModelReference(VDomainModelReference object)` Returns the result of interpreting the object as an instance of 'Domain Model Reference'.
`T` | `caseElement(VElement object)` Returns the result of interpreting the object as an instance of 'Element'.
`T` | `caseFeaturePathDomainModelReference(VFeaturePathDomainModelReference object)` Returns the result of interpreting the object as an instance of 'Feature Path Domain Model Reference'.
`T` | `caseReadOnlyColumnConfiguration(VReadOnlyColumnConfiguration object)` Returns the result of interpreting the object as an instance of 'Read Only Column Configuration'.
`T` | `caseTableColumnConfiguration(VTableColumnConfiguration object)` Returns the result of interpreting the object as an instance of 'Column Configuration'.
`T` | `caseTableControl(VTableControl object)` Returns the result of interpreting the object as an instance of 'Control'.
`T` | `caseTableDomainModelReference(VTableDomainModelReference object)` Returns the result of interpreting the object as an instance of 'Domain Model Reference'.
`T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

Methods inherited from class org.eclipse.emf.ecore.util.Switch
`doSwitch`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableSwitch

    public TableSwitch()

  Creates an instance of the switch.

Method Detail

### caseTableControl

    public T caseTableControl(VTableControl object)

  Returns the result of interpreting the object as an instance of 'Control'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Control'.
  See Also:
    `doSwitch(EObject)`

### caseTableColumnConfiguration

    public T caseTableColumnConfiguration(VTableColumnConfiguration object)

  Returns the result of interpreting the object as an instance of 'Column Configuration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Column Configuration'.
  See Also:
    `doSwitch(EObject)`

### caseTableDomainModelReference

    public T caseTableDomainModelReference(VTableDomainModelReference object)

  Returns the result of interpreting the object as an instance of 'Domain Model Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Domain Model Reference'.
  See Also:
    `doSwitch(EObject)`

### caseReadOnlyColumnConfiguration

    public T caseReadOnlyColumnConfiguration(VReadOnlyColumnConfiguration object)

  Returns the result of interpreting the object as an instance of 'Read Only Column Configuration'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Read Only Column Configuration'.
  See Also:
    `doSwitch(EObject)`

### caseElement

    public T caseElement(VElement object)

  Returns the result of interpreting the object as an instance of 'Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Element'.
  See Also:
    `doSwitch(EObject)`

### caseContainedElement

    public T caseContainedElement(VContainedElement object)

  Returns the result of interpreting the object as an instance of 'Contained Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Contained Element'.
  See Also:
    `doSwitch(EObject)`

### caseControl

    public T caseControl(VControl object)

  Returns the result of interpreting the object as an instance of 'Control'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Control'.
  See Also:
    `doSwitch(EObject)`

### caseDomainModelReference

    public T caseDomainModelReference(VDomainModelReference object)

  Returns the result of interpreting the object as an instance of 'Domain Model Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Domain Model Reference'.
  See Also:
    `doSwitch(EObject)`

### caseFeaturePathDomainModelReference

    public T caseFeaturePathDomainModelReference(VFeaturePathDomainModelReference object)

  Returns the result of interpreting the object as an instance of 'Feature Path Domain Model Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature Path Domain Model Reference'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Overrides:
    `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.